local commandTableA = {
	["channel"] = function(parameters)	
		--print("channel = " .. parameters)
		LeaveChannelByName(f2paChannelName)
		F2PAddon_Variables.Realms[F2PAddonGlobalVars.thisRealm][F2PAddonGlobalVars.myFaction]["Channel"] = parameters
		DEFAULT_CHAT_FRAME:AddMessage("|cFFFF00FF" .. string.format(F2PLoc.slash["CHANNEL_CHANGED"], parameters))
	end,
	["default"] = function()
		--print("default")
	end,
}

local function runSlashCommandA(message, cmdTable)
	local command, parameters = string.split(" ", message, 2)
	--print("command = "..command..", parameters = "..tostring(parameters))
	if (command == nil) or (command == "") then
		commandTableA.default()
	elseif (command == "channel") then
		commandTableA.channel(parameters)
	end
end


SLASH_F2PADDON1 = "/f2paddon"
SlashCmdList["F2PADDON"] = function(txt)
	runSlashCommandA(txt, commandTableA)
end





local commandTableQ = {
	["reset"] = function()	
		F2PAddonGlobalVars.queueData = {}
		F2PQ_TableToDisplay()
	end,
	["default"] = function()
		if not F2PAddonQueueInfoFrame:IsVisible() and not PVPFrame:IsVisible() then
			F2PAddonQueueInfoFrame:Show()
			F2PQ_TableToDisplay()
			TogglePVPFrame()
		elseif F2PAddonQueueInfoFrame:IsVisible() and PVPFrame:IsVisible() then
				TogglePVPFrame()
		elseif F2PAddonQueueInfoFrame:IsVisible() and not PVPFrame:IsVisible()then
			F2PAddonQueueInfoFrame:Hide()		
		elseif not F2PAddonQueueInfoFrame:IsVisible() and PVPFrame:IsVisible()then
			F2PAddonQueueInfoFrame:Show()		
			F2PQ_TableToDisplay()
		end
	end,
}

local function runSlashCommandQ(message, cmdTable)
	local command, parameters = string.split(" ", message, 2)
	--print("command = "..command..", parameters = "..tostring(parameters))
	if (command == nil) or (command == "") then
		commandTableQ.default()
	elseif command == "reset" then
		commandTableQ.reset()
	end
end



SLASH_F2PQ1 = "/f2pq"
SlashCmdList["F2PQ"] = function(txt)
	runSlashCommandQ(txt, commandTableQ)
end




